Bug 117642 - Oops with kernel 2.6.3-2.1.253
Oops with kernel 2.6.3-2.1.253
Status: CLOSED DUPLICATE of bug 117713
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: James Morris
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-05 21:56 EST by Brian Millett
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:01:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2004-03-05 21:56:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040302 Firefox/0.8.0+

Description of problem:
Screen blanks and is not responsive.  I can shutdown with the
powerbutton.  There is a kernel trace.  This started with 2.6.3-2.1.238

Trace follows:

Mar  5 19:34:36 localhost kernel: Unable to handle kernel paging
request at virtual address 572b9000
Mar  5 19:34:36 localhost kernel:  printing eip:
Mar  5 19:34:36 localhost kernel: 2190469c
Mar  5 19:34:36 localhost kernel: *pde = 00000000
Mar  5 19:34:36 localhost kernel: Debug: sleeping function called from
invalid context at include/linux/rwsem.h:43
Mar  5 19:34:36 localhost kernel: in_atomic():0, irqs_disabled():1
Mar  5 19:34:36 localhost kernel: Call Trace:
Mar  5 19:34:36 localhost kernel:  [<02125020>] __might_sleep+0x7e/0x88
Mar  5 19:34:36 localhost kernel:  [<021660cb>] rw_vm+0x1b7/0x3aa
Mar  5 19:34:36 localhost kernel:  [<021283ab>]
__call_console_drivers+0x36/0x42Mar  5 19:34:36 localhost kernel: 
[<2190469c>] i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
Mar  5 19:34:36 localhost kernel:  [<2190469c>]
i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
Mar  5 19:34:36 localhost kernel:  [<02166517>] get_user_size+0x30/0x57
Mar  5 19:34:36 localhost kernel:  [<2190469c>]
i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
Mar  5 19:34:36 localhost kernel:  [<0210e0cf>] handle_BUG+0x32/0xdf
Mar  5 19:34:36 localhost kernel:  [<021287b6>] printk+0x26a/0x2e3
Mar  5 19:34:36 localhost kernel:  [<0210e23d>] die+0xc1/0x1b1
Mar  5 19:34:36 localhost kernel:  [<021203bf>] do_page_fault+0x2f8/0x447
Mar  5 19:34:36 localhost kernel:  [<2190469c>]
i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
Mar  5 19:34:36 localhost kernel:  [<021c0fb3>] avc_has_perm+0x3f/0x49
Mar  5 19:34:36 localhost kernel:  [<021c2625>] inode_has_perm+0x57/0x5f
Mar  5 19:34:36 localhost kernel:  [<02159055>] vma_link+0xc3/0x14c
Mar  5 19:34:36 localhost kernel:  [<021200c7>] do_page_fault+0x0/0x447
Mar  5 19:34:36 localhost kernel:  [<2190469c>]
i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
Mar  5 19:34:36 localhost kernel:  [<02166224>] rw_vm+0x310/0x3aa
Mar  5 19:34:36 localhost kernel:  [<21904c3b>]
i830_dma_vertex+0xbb/0xdf [i830]Mar  5 19:34:36 localhost kernel: 
[<218ffdff>] i830_ioctl+0xe3/0xef [i830]
Mar  5 19:34:36 localhost kernel:  [<21904b80>]
i830_dma_vertex+0x0/0xdf [i830]
Mar  5 19:34:36 localhost kernel:  [<0217d0c3>] sys_ioctl+0x2a0/0x341
Mar  5 19:34:36 localhost kernel:
Mar  5 19:34:36 localhost kernel: Oops: 0002 [#1]
Mar  5 19:34:36 localhost kernel: CPU:    0
Mar  5 19:34:36 localhost kernel: EIP:    0060:[<2190469c>]    Not tainted
Mar  5 19:34:36 localhost kernel: EFLAGS: 00210202   (2.6.3-2.1.238)
Mar  5 19:34:36 localhost kernel: EIP is at
i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
Mar  5 19:34:36 localhost kernel: eax: 7f00002f   ebx: 00000004   ecx:
572b9000   edx: 218aa898
Mar  5 19:34:36 localhost kernel: esi: 00000031   edi: 19d855c0   ebp:
000000c4   esp: 07415f04
Mar  5 19:34:36 localhost kernel: ds: 007b   es: 007b   ss: 0068
Mar  5 19:34:36 localhost kernel: Process glslideshow (pid: 4944,
threadinfo=07415000 task=05d90d00)
Mar  5 19:34:36 localhost kernel: Stack: 0000000c 02166224 00000000
00000000 ef2f8000 00000001 218ab1d0 218aa898
Mar  5 19:34:36 localhost kernel:        1e57c8bc 00000001 0c988000
03732940 03732940 19d855c0 0db20000 218aa898
Mar  5 19:34:36 localhost kernel:        21904c3b 000000c4 0c9b8000
00000000 000000c4 00000001 00000001 03732940
Mar  5 19:34:36 localhost kernel: Call Trace:
Mar  5 19:34:36 localhost kernel:  [<02166224>] rw_vm+0x310/0x3aa
Mar  5 19:34:36 localhost kernel:  [<21904c3b>]
i830_dma_vertex+0xbb/0xdf [i830]Mar  5 19:34:36 localhost kernel: 
[<218ffdff>] i830_ioctl+0xe3/0xef [i830]
Mar  5 19:34:36 localhost kernel:  [<21904b80>]
i830_dma_vertex+0x0/0xdf [i830]
Mar  5 19:34:36 localhost kernel:  [<0217d0c3>] sys_ioctl+0x2a0/0x341
Mar  5 19:34:36 localhost kernel:
Mar  5 19:34:36 localhost kernel: Code: 89 01 83 bf a8 00 00 00 00 74
0a c7 04 b1 00 00 00 05 83 c5
Mar  5 20:34:36 localhost shutdown: shutting down for system halt


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot with the kernel-2.6.3-2.1.238
2.wait till system is inactive 10-15 minutes
3.hit power button to reboot.
    

Expected Results:  kernel should not panic.

Additional info:
Comment 1 Arjan van de Ven 2004-03-06 06:29:20 EST
do you have a list of modules in use; some ioctl goes poof and if we
have a list of modules we can narrow the list of candidates down.
Comment 2 Brian Millett 2004-03-06 09:24:47 EST
Sure. 

Module                  Size  Used by
snd_mixer_oss          13952  1
sd_mod                 12832  0
ide_cd                 32260  0
cdrom                  29468  1 ide_cd
snd_intel8x0           29736  2
snd_ac97_codec         53384  1 snd_intel8x0
snd_pcm                84232  1 snd_intel8x0
snd_timer              25220  1 snd_pcm
gameport                3968  1 snd_intel8x0
snd_page_alloc          8580  2 snd_intel8x0,snd_pcm
snd_mpu401_uart         7296  1 snd_intel8x0
snd_rawmidi            21408  1 snd_mpu401_uart
snd_seq_device          6280  1 snd_rawmidi
snd                    43748  10
snd_mixer_oss,snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               7520  2 snd
usb_storage            58592  0
loop                   12552  0
binfmt_misc             7816  1
lp                      9068  0
nfsd                  163008  8
exportfs                6784  1 nfsd
lockd                  51400  2 nfsd
sunrpc                128200  2 nfsd,lockd
autofs                 17024  1
rfcomm                 34972  0
l2cap                  22020  3 rfcomm
ds                     10244  4
yenta_socket           12416  0
pcmcia_core            52452  2 ds,yenta_socket
iptable_nat            18216  0
iptable_mangle          2176  0
ipt_limit               2432  1
ipt_REJECT              4736  3
ipt_state               1536  2
ip_conntrack           24368  2 iptable_nat,ipt_state
iptable_filter          2176  1
ip_tables              13568  6
iptable_nat,iptable_mangle,ipt_limit,ipt_REJECT,ipt_state,iptable_filter
8139too                22016  0
mii                     3712  1 8139too
crc32                   3968  1 8139too
orinoco_pci             5644  0
orinoco                44684  1 orinoco_pci
hermes                  6656  2 orinoco_pci,orinoco
ohci1394               31512  0
ieee1394              286008  1 ohci1394
sg                     28064  0
scsi_mod              101564  3 sd_mod,usb_storage,sg
parport_pc             20416  1
parport                36168  2 lp,parport_pc
microcode               5408  0
hci_usb                15236  0
bluetooth              46436  5 rfcomm,l2cap,hci_usb
ohci_hcd               18076  0
hid                    49940  0
ehci_hcd               23176  0
uhci_hcd               35228  0
usbcore                91956  8
usb_storage,hci_usb,ohci_hcd,hid,ehci_hcd,uhci_hcd
button                  4632  0
battery                 7052  0
asus_acpi               8600  0
ac                      3596  0
i830                   59564  2
ext3                   94888  2
jbd                    65432  1 ext3
Comment 3 James Morris 2004-03-06 09:34:31 EST
Does this happen if you boot with selinux=0 ?
Comment 4 Brian Millett 2004-03-06 10:11:09 EST
No difference.  Same trace. 
(just the start) 
Mar  6 09:06:30 localhost kernel: Unable to handle kernel paging
request at virtual address 572b9000
Mar  6 09:06:30 localhost kernel:  printing eip: Mar  6 09:06:30
localhost kernel: 2190469c
Mar  6 09:06:30 localhost kernel: *pde = 00000000 Mar  6 09:06:30
localhost kernel: Debug: sleeping function called from invalid context
at include/linux/rwsem.h:43 Mar  6 09:06:30 localhost kernel:
in_atomic():0, irqs_disabled():1
Mar  6 09:06:30 localhost kernel: Call Trace: Mar  6 09:06:30
localhost kernel:  [<02125020>] __might_sleep+0x7e/0x88
Mar  6 09:06:30 localhost kernel:  [<021660cb>] rw_vm+0x1b7/0x3aa
Mar  6 09:06:30 localhost kernel:  [<021283ab>]
__call_console_drivers+0x36/0x42Mar  6 09:06:30 localhost kernel: 
[<2190469c>] i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
Mar  6 09:06:30 localhost kernel:  [<2190469c>]
i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
Mar  6 09:06:30 localhost kernel:  [<02166517>] get_user_size+0x30/0x57
Mar  6 09:06:30 localhost kernel:  [<2190469c>]
i830_dma_dispatch_vertex+0x1c1/0x467 [i830]
...
Comment 5 Brian Millett 2004-03-06 13:21:36 EST
same problem with kernel-2.6.3-2.1.240
Comment 6 Brian Millett 2004-03-12 10:09:21 EST
James, I have done some more testing and have found that this Oops is
(I think) not caused by SELinux.  I compiled a custom 253 kernel
without selinux.  Same Oops generated.  I found that the Oops is
generated by running any of the xscreensaver GL modules:

glblur       glforestfire  glmatrix  glslideshow  gltext
gleidescope  glknots       glplanet  glsnake

 My default was for glslideshow, hence the "Process glslideshow (pid:
4944, threadinfo=07415000 task=05d90d00)". 

This is on a toshiba satelitte 1135-S155 laptop.  It has an Intel
852GM video card.
Comment 7 Bill Nottingham 2004-03-18 00:50:18 EST

*** This bug has been marked as a duplicate of 117713 ***
Comment 8 Red Hat Bugzilla 2006-02-21 14:01:51 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.